csound (1:6.18.1+dfsg-6build2) resolute; urgency=medium

  * No-change rebuild for java-common (LP: #2141711).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Feb 2026 19:59:54 +1300

csound (1:6.18.1+dfsg-6build1) resolute; urgency=medium

  * No-change rebuild for libportmidi2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 21:59:17 +0000

csound (1:6.18.1+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Didier Raboud ]
  * Import upstream typo fix (Closes: #1096487)

  [ Graham Inggs ]
  * Fix architecture syntax in debian/tests/control (Closes: #1113957)

  [ Andreas Tille ]
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 23 Sep 2025 16:09:43 +0200

csound (1:6.18.1+dfsg-5) unstable; urgency=medium

  * Team Upload
  * After removing dh-buildinfo, remove related devscripts too

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 16:56:17 +0200

csound (1:6.18.1+dfsg-4) unstable; urgency=medium

  [ наб ]
  * Remove dh-buildinfo (Closes: #1090775)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Ship manpages for binaries (Closes: #1068969)
  * python-csound: Mark docstring as raw string (Closes: #1085532)
  * For now, disable autopkgtests on s390x (Closes: #1094135)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 31 Jan 2025 17:55:02 +0100

csound (1:6.18.1+dfsg-3) unstable; urgency=medium

  * Fix function signatures and types for liblo API (Closes: #1074894)
  * Cherry-pick upstream to initialize K-opcodes at init-time (Closes: #1035387)
  * Refresh patches with 'gbp pq'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Aug 2024 10:32:24 +0200

csound (1:6.18.1+dfsg-2) unstable; urgency=medium

  * Add patch to fix autopkgtest with Python3.12 (Closes: #1061795)
  * Allow stderr for autopkgtests
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 Jul 2024 15:20:47 +0200

csound (1:6.18.1+dfsg-1) unstable; urgency=medium

  * New upstream version 6.18.1+dfsg
    + Fixes BigEndian issues
    + Fixes ABI compatibility (Closes: #1024169)
    + Drop patches applied (or obsoleted) upstream
  * Drop "Recommends:stk" (this belongs to csound-plugins)
  * Drop obsolete Cmake configvars
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 17:00:05 +0100

csound (1:6.18.0+dfsg-2) unstable; urgency=medium

  * Forward "Skip BigEndian tests" patch to upstream
  * Add lintian-override for uncommon spelling
  * Modernize lintian overrides
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Nov 2022 09:25:14 +0100

csound (1:6.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version 6.18.0+dfsg
    + Refresh patches
  * Add patch to honour CFLAGS
  * d/watch: Use github/tags rather than releases

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 01 Nov 2022 22:17:50 +0100

csound (1:6.17.0~dfsg-4) unstable; urgency=medium

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Simplify building with python (Closes: #1015994)
    + Use dh-sequence-python3 instead of '--with=python3'
    + Drop useless variables from python3-csound's Depends/Provides
  * Skip some tests on big-endian.
    Thanks to Graham Inggs <ginggs@debian.org> (Closes: #1009185)
  * autopkgtests: Run Python3 tests on all supported py3 versions
  * Disable java packages on hurd and hppa (Closes: #827929)
  * Mark transitional package 'liblua5.1-luacsnd' as "Multi-Arch:same"
  * d/rules:
    + Use execute_after_dh_* rather than override_dh_*
    + Remove config-leftovers on clean
    + Declare that libcsound64-dev is the target package for libcsound64-doc
  * List files that are renamed for arch:any as 'not-installed'
  * Update and modernize lintian-overrides
  * Update d/copyright
    + Add 'Expat' license to d/copyright
    + Add myself to copyright-holders
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Aug 2022 13:58:11 +0200

csound (1:6.17.0~dfsg-3) unstable; urgency=medium

  * Upload to unstable.

  * autopkgtest
    - add functional test for Python3 bindings
    - add functional test for Java bindings
    - add functional test for Lua bindings
  * Drop d/README.source
  * Update d/copyright
    + Strip down Files-Excluded to a single CPOL-1.02 licensed file
    + Regenerate d/copyright_hints
  * Add "+dfsg" suffix when repacking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 25 Feb 2022 20:30:50 +0100

csound (1:6.17.0~dfsg-3~exp1) experimental; urgency=medium

  * lua-luacsnd6
    + Rename "liblua5.1-luacsnd" to "lua-luacsnd6"
    + Install lua bindings into multiarch locations
  * Mark java and lua bindings as "Multi-Arch: same"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Feb 2022 12:23:29 +0100

csound (1:6.17.0~dfsg-2) unstable; urgency=medium

  * libcsnd6-java
    + Install JNI files into multiarch locations
    + Additionally provide a versioned JAR file
    * B-D on default-jdk:native to allow for cross-building

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Feb 2022 11:47:49 +0100

csound (1:6.17.0~dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * Recommend 'csound-plugins'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Feb 2022 15:43:43 +0100

csound (1:6.17.0~dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 6.17.0~dfsg

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patchset, drop patches applied by upstream
  * Update libcsound.symbols
  * Set CMAKE_BUILD_RPATH_USE_ORIGIN=ON for reproducible builds
  * Drop B-D for plugins that are now in csound-plugins
  * Run (parts of) upstream's testsuite as autopkgtest
  * Declare static files as being not-installed
  * Apply 'wrap-and-sort -ast'

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Feb 2022 08:47:58 +0100

csound (1:6.16.2~dfsg-1) unstable; urgency=medium

  * Upload to unstable

  * Fix search-path for plugins
  * Add an autopkgtest for a real segfaulting bug (see #888627)
  * Add autopkgtest for 'undefined macro' (see #888630)
  * Add yet another autopkgtest for segfault  (see: #880010)
  * Add patch to make documentation reproducible

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Sep 2021 12:10:54 +0200

csound (1:6.16.2~dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 6.16.2~dfsg

  [ Dennis Braun ]
  * Refresh patchset, drop patches applied by upstream
  * Fix build with lame header
  * Fix spelling errors
  * Provide the new package csound-soundfont with the sf2 soundbank
  * Update d/libcsound64-6.0.symbols
  * Build with libfltk1.3-dev (Closes: #974627)
  * Add libmp3lame-dev to B-Ds
  * Sort B-Ds
  * Mark libcsound64-doc as M-A: foreign
  * d/copyright: Add myself to the d/section
  * Use d/csound-data.install to install *.dat files and not d/rules
  * Update *.lintian-overrides
  * Remove trailing whitespaces from debian files
  * Mark python3-csound test as superficial (Closes: #974448)
  * Add me as uploader
  * Bump dh-compat to 13
    + d/rules: Remove obsolete override_dh_missing

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patchset, drop patches applied by upstream
  * Update d/copyright
    + Add licensecheck target to d/rules
    + Generate d/copyright_hints
    + Update d/copyright
  * Fix capitalisation of "Lua"
  * Update d/libcsound64-6.0.symbols
  * Package: python3-csound
    + Remove 'csnd6' python module (dropped upstream) (see NEWS)
    + Explicitly Depend on libcsnd6, libcsound6 and python3-numpy
    + autopkgtests: drop testing for 'csnd6' python module
  * Package: libcsnd6-java
    + Drop DEB_VERSION_UPSTREAM from generated jar filename (see NEWS)
  * Drop B-D on libpng-dev (image Opcodes have been removed upstream)
  * Drop duplicate invocation of dh_installdocs
  * Update *.lintian-overrides
  * Remove trailing whitespaces from debian files
  * Ignore "C++ analysis..." from the blhc check
  * Add salsa-ci configuration
  * Add myself to uploaders
  * Bump standards version to 4.6.0

  [ Felipe Sateler ]
  * Remove myself from uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 26 Aug 2021 14:24:56 +0200

csound (1:6.14.0~dfsg-6) unstable; urgency=high

  * Team upload.
  * debian/control: Replace removed dependency package ttf-dejavu
    with real patch fonts-dejavu. (Closes: #962606)

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jun 2020 19:55:19 -0400

csound (1:6.14.0~dfsg-5) unstable; urgency=medium

  * Only call dh_doxygen for builds includin arch:all.
    Otherwise we might not have doxygen installed (Closes: #960259)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 11 May 2020 19:49:07 -0400

csound (1:6.14.0~dfsg-4) unstable; urgency=medium

  * Restore patch to ctcsound to import the SOVERSIONed library.
    It was dropped by mistake when updating csound to 6.14
    (Closes: #960128)
  * Don't try to link to system jquery.
    The jquery file provided by doxygen is in fact a collection of
    jquery plus several plugins.
    Therefore, we can't replace it with the system version
  * Use dh_doxygen to remove build-time doxygen output.
    Instead of using our hand-rolled version

 -- Felipe Sateler <fsateler@debian.org>  Sun, 10 May 2020 12:49:31 -0400

csound (1:6.14.0~dfsg-2) unstable; urgency=medium

  * Pick upstream patch fixing duplicate yyin definition.
    Fixes a FTBFS with gcc 10. (Closes: #957111)

 -- Felipe Sateler <fsateler@debian.org>  Sat, 25 Apr 2020 11:56:23 -0400

csound (1:6.14.0~dfsg-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * B-D on libstk-dev

  [ Felipe Sateler ]
  * New upstream version 6.14.0~dfsg
    - Drop patches applied upstream and refresh the rest
    - Add new symbols of csound64 library
    - Correctly install ctcsound.
      Upstream installs both in python2 and python3 path. As it is the same
      file, just install them both to the same place
  * Wrap long lines in changelog entries: 1:6.13.0~dfsg-2.
  * Add override for binaries without dependencies
    Small plugins that only call into the host

  [ Laurent Bigonville ]
  * Make the library packages multiarch-installable.
    We need to install the libraries in multiarch-aware directories.
    Additionally we can make csound-data multiarch-foreign

 -- Felipe Sateler <fsateler@debian.org>  Fri, 10 Apr 2020 16:01:10 -0400

csound (1:6.13.0~dfsg-3) unstable; urgency=medium

  * Source only upload for testing migration

 -- Felipe Sateler <fsateler@debian.org>  Thu, 16 Jan 2020 17:05:17 -0300

csound (1:6.13.0~dfsg-2) unstable; urgency=medium

  * Port python opcodes and interfaces to python3. Pick changes from upstream,
    and point everything at python3 instead of python2. (Closes: #942972)
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Drop unused debian/NEWS.Debian file.
    NEWS.Debian is not picked up by debhelper. Since the news documented
    there were very old and not installed since forever, let's just drop the
    file.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 28 Dec 2019 18:28:55 -0300

csound (1:6.13.0~dfsg-1) unstable; urgency=medium

  * New upstream version 6.13.0~dfsg
    - Drop patches applied upstream, refresh remaining patches
    - Add new symbols
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Add upstream metadata.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 27 Jul 2019 09:29:39 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcsound64-doc`.
